<?php
/**
 * Register custom social info fields.
 */

function bk_author_profile_extra_social( $contactmethods ) {
	$contactmethods['twitter']     = esc_html__( 'Twitter URL', 'venissa-kit' );
	$contactmethods['facebook']    = esc_html__( 'Facebook URL', 'venissa-kit' );
	$contactmethods['gplus']       = esc_html__( 'Google Plus URL', 'venissa-kit' );
	$contactmethods['instagram']   = esc_html__( 'Instagram URL', 'venissa-kit' );
	$contactmethods['pinterest']   = esc_html__( 'Pinterest URL', 'venissa-kit' );
	$contactmethods['linkedin']    = esc_html__( 'Linkedin URL', 'venissa-kit' );
	$contactmethods['dribbble']    = esc_html__( 'Dribbble URL', 'venissa-kit' );

	return $contactmethods;
}
add_filter( 'user_contactmethods', 'bk_author_profile_extra_social' );
