<?php
/**
 * Colors Customizer
 */

/**
 * Register the customizer.
 */
function venissa_colors_customize_register( $wp_customize ) {

	// Register predefined colors setting
	$wp_customize->add_setting( 'venissa_predefined_colors', array(
		'default'           => 'default',
		'sanitize_callback' => 'venissa_sanitize_select',
	) );
	$wp_customize->add_control( 'venissa_predefined_colors', array(
		'label'             => esc_html__( 'Skins', 'venissa' ),
		'section'           => 'colors',
		'priority'          => 1,
		'type'              => 'radio',
		'choices'           => array(
			'default' => esc_html__( 'Default', 'venissa' ),
			'black'   => esc_html__( 'Black', 'venissa' ),
		)
	) );

}
add_action( 'customize_register', 'venissa_colors_customize_register' );
